Bio::Matrix::PSM::IO::masta(3pm)

NAME
Bio::Matrix::PSM::IO::masta - motif fasta format parser

SYNOPSIS
MASTA is a position frequency matrix format similar to fasta. It contains one ID row just like fasta and then the actual data, which is tab delimited:

  0.1   0.62    .017    0.11
  0.22  0.13    0.54    0.11

Or A,C,G and T could be horizontally positioned (positioning is automatically detected). Please note masta will parse only DNA at the moment.

It will also convert a set of aligned sequences: ACATGCAT ACAGGGAT ACAGGCAT ACCGGCAT

to a PFM (SiteMatrix object). When writing if you supply SEQ it will write 10 random instances, which represent correctly the frequency and can be used as an input for weblogo creation purposes.

See Bio::Matrix::PSM::IO for detailed documentation on how to use masta parser

DESCRIPTION
Parser for meme.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably
 to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

  https://github.com/bioperl/bioperl-live/issues

AUTHOR - Stefan Kirov
Email skirov@utk.edu

APPENDIX

  new
 Title   : new
 Usage   : my $psmIO =  Bio::Matrix::PSM::IO->new(-format=> 'masta',
                                                 -file  => $file,
                                                 -mtype => 'PWM');
 Function: Associates a file with the appropriate parser
 Throws  :
 Example :
 Args    : hash
 Returns : "Bio::Matrix::PSM::$format"->new(@args);

  write_psm
 Title   : write_psm
 Usage   :
 Function: writes a pfm/pwm/raw sequence in a simple masta format
 Throws  :
 Example :
 Args    : SiteMatrix object, type (optional string: PWM, SEQ or PFM)
 Returns :

  next_matrix
  Title   : next_matrix
  Usage   : my $matrix = $psmio->next_matrix;
  Function: Alias of next_psm function

  next_psm
 Title   : next_psm
 Usage   : my $matrix=$psmio->next_psm;
 Function: returns the next matrix in the stream
 Throws  : If there is you mix different types, for example weights and
           frequencies occur in the same entry You can mix weights, but these
           should be designated by different ID lines
 Example :
 Args    :
 Returns : Bio::Matrix::PSM::SiteMatrix